modarith.h File Reference

Class file for performing modular arithmetic. More...

Go to the source code of this file.

## Classes

class | ModularArithmetic
| Ring of congruence classes modulo n. More...
class | MontgomeryRepresentation
| Performs modular arithmetic in Montgomery representation for increased speed. More...

## Variables

| AbstractGroup< Integer >
| AbstractRing< Integer >
| AbstractEuclideanDomain< Integer >

## Detailed Description

Class file for performing modular arithmetic.

Definition in file modarith.h.

## Variable Documentation

## AbstractGroup< Integer >

AbstractGroup< Integer >

Definition at line 1 of file modarith.h.

## AbstractRing< Integer >

AbstractRing< Integer >

Definition at line 1 of file modarith.h.

## AbstractEuclideanDomain< Integer >

AbstractEuclideanDomain< Integer >

Definition at line 1 of file modarith.h.